/**
* Display utilities
*
* Naming convention gl-display-{property-value}
*/
@mixin gl-display-none {
  display: none;
}

@mixin gl-sm-display-none {
  @media (min-width: $breakpoint-sm) {
    @include gl-display-none;
  }
}

@mixin gl-md-display-none {
  @media (min-width: $breakpoint-md) {
    @include gl-display-none;
  }
}

@mixin gl-lg-display-none {
  @media (min-width: $breakpoint-lg) {
    @include gl-display-none;
  }
}

@mixin gl-display-flex {
  display: flex;
}

@mixin gl-sm-display-flex {
  @media (min-width: $breakpoint-sm) {
    @include gl-display-flex;
  }
}

@mixin gl-md-display-flex {
  @media (min-width: $breakpoint-md) {
    @include gl-display-flex;
  }
}

@mixin gl-lg-display-flex {
  @media (min-width: $breakpoint-lg) {
    @include gl-display-flex;
  }
}

@mixin gl-display-inline-flex {
  display: inline-flex;
}

@mixin gl-sm-display-inline-flex {
  @media (min-width: $breakpoint-sm) {
    @include gl-display-inline-flex;
  }
}

@mixin gl-md-display-inline-flex {
  @media (min-width: $breakpoint-md) {
    @include gl-display-inline-flex;
  }
}

@mixin gl-lg-display-inline-flex {
  @media (min-width: $breakpoint-lg) {
    @include gl-display-inline-flex;
  }
}

@mixin gl-display-block {
  display: block;
}

@mixin gl-sm-display-block {
  @media (min-width: $breakpoint-sm) {
    @include gl-display-block;
  }
}

@mixin gl-md-display-block {
  @media (min-width: $breakpoint-md) {
    @include gl-display-block;
  }
}

@mixin gl-lg-display-block {
  @media (min-width: $breakpoint-lg) {
    @include gl-display-block;
  }
}

@mixin gl-display-inline {
  display: inline;
}

@mixin gl-display-inline-block {
  display: inline-block;
}

@mixin gl-sm-display-inline-block {
  @media (min-width: $breakpoint-sm) {
    @include gl-display-inline-block;
  }
}

@mixin gl-md-display-inline-block {
  @media (min-width: $breakpoint-md) {
    @include gl-display-inline-block;
  }
}

@mixin gl-lg-display-inline-block {
  @media (min-width: $breakpoint-lg) {
    @include gl-display-inline-block;
  }
}

@mixin gl-display-table {
  display: table;
}

@mixin gl-display-table-row {
  display: table-row;
}

@mixin gl-display-table-cell {
  display: table-cell;
}

@mixin gl-display-grid {
  display: grid;
}

@mixin gl-lg-display-table-cell {
  @media (min-width: $breakpoint-lg) {
    @include gl-display-table-cell;
  }
}
